Subject: Re: bug#65716: bug#65718: Importing a toolchain packages causes top-level dependency cycles

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 03 Sep 2023 16:14:57 -0400

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Adding the Guile undocumented "(set! %load-verbosely #t)" to my local
>> near the top of my (guix config) module, I see, when running 'make':
>>
>> make[2] : on entre dans le répertoire « /home/maxim/src/guix »
>> [...]
>> Compiling Scheme modules...
>> [  0%] LOAD     guix.scm
>> ;;; loading ./guix/build/syscalls.scm
>> ;;; loading ./guix/build/syscalls.scm
>
> [...]
>
> Looks like this is independent from your change no?  There’s no
> ergodox.scm in the list of loaded files AFAICS.
>
> Do you experience the problem without your patch?

I am not!  As soon as I go back to a commit before my change, everything
starts working again.  I'm thoroughly puzzled :-)

-- 
Thanks,
Maxim